// SCSI簡易Read/Writeキャッシュ

#include "ascsi.h"

#define	DEBUG	0

void _S_CacheInit(S_CACHE_BUFF *scb)
{
unlong i;
	scb->nextblock=0; // 先頭
	switch (scb->mode&(S_CACHE_READ|S_CACHE_WRITE)) {
	case S_CACHE_WRITE:
		// 次回書き込み位置を設定
		scb->sector0=0xffffffff;// 先頭セクター（初期は有り得ないセクター番号）
		scb->blocks=0;		// まだ与えてない
		break;
	case S_CACHE_READ:
		for (i=0;i<scb->allblock;i++) {
			scb->sectors[i].ii=i; // ブロックの割り当て
		}
		break;
	}

}
